JaxbBasic (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbBasic

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbBasic

    public class JaxbBasic

extends Object

Field Summary
`protected JaxbAccessType` | `access`
`protected JaxbColumn` | `column`
`protected JaxbEnumType` | `enumerated`
`protected JaxbFetchType` | `fetch`
`protected JaxbLob` | `lob`
`protected String` | `name`
`protected Boolean` | `optional`
`protected JaxbTemporalType` | `temporal`

Constructor Summary
`JaxbBasic()`

Method Summary
`JaxbAccessType` | `getAccess()` Gets the value of the access property.
`JaxbColumn` | `getColumn()` Gets the value of the column property.
`JaxbEnumType` | `getEnumerated()` Gets the value of the enumerated property.
`JaxbFetchType` | `getFetch()` Gets the value of the fetch property.
`JaxbLob` | `getLob()` Gets the value of the lob property.
`String` | `getName()` Gets the value of the name property.
`JaxbTemporalType` | `getTemporal()` Gets the value of the temporal property.
`Boolean` | `isOptional()` Gets the value of the optional property.
`void` | `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` | `setColumn(JaxbColumn value)` Sets the value of the column property.
`void` | `setEnumerated(JaxbEnumType value)` Sets the value of the enumerated property.
`void` | `setFetch(JaxbFetchType value)` Sets the value of the fetch property.
`void` | `setLob(JaxbLob value)` Sets the value of the lob property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setOptional(Boolean value)` Sets the value of the optional property.
`void` | `setTemporal(JaxbTemporalType value)` Sets the value of the temporal property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected JaxbColumn column

### lob

    protected JaxbLob lob

### temporal

    protected JaxbTemporalType temporal

### enumerated

    protected JaxbEnumType enumerated

### name

    protected String name

### fetch

    protected JaxbFetchType fetch

### optional

    protected Boolean optional

### access

    protected JaxbAccessType access

Constructor Detail

### JaxbBasic

    public JaxbBasic()

Method Detail

### getColumn

    public JaxbColumn getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `JaxbColumn`

### setColumn

    public void setColumn(JaxbColumn value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `JaxbColumn`

### getLob

    public JaxbLob getLob()

  Gets the value of the lob property.

  Returns:
    possible object is `JaxbLob`

### setLob

    public void setLob(JaxbLob value)

  Sets the value of the lob property.

  Parameters:
    `value` - allowed object is `JaxbLob`

### getTemporal

    public JaxbTemporalType getTemporal()

  Gets the value of the temporal property.

  Returns:
    possible object is `JaxbTemporalType`

### setTemporal

    public void setTemporal(JaxbTemporalType value)

  Sets the value of the temporal property.

  Parameters:
    `value` - allowed object is `JaxbTemporalType`

### getEnumerated

    public JaxbEnumType getEnumerated()

  Gets the value of the enumerated property.

  Returns:
    possible object is `JaxbEnumType`

### setEnumerated

    public void setEnumerated(JaxbEnumType value)

  Sets the value of the enumerated property.

  Parameters:
    `value` - allowed object is `JaxbEnumType`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchType getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchType`

### setFetch

    public void setFetch(JaxbFetchType value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchType`

### isOptional

    public Boolean isOptional()

  Gets the value of the optional property.

  Returns:
    possible object is `Boolean`

### setOptional

    public void setOptional(Boolean value)

  Sets the value of the optional property.

  Parameters:
    `value` - allowed object is `Boolean`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.